Help Center

What requirements have to be met for a connection to Huawei Health?

Starting with the YAZIO version 7.0.6 it is possible again to connect YAZIO to Huawei. Please check your app version in Profile > Settings > About YAZIO and update YAZIO, if possible.

Additionally, you will also need the most recent version of the Huawei Health app.

Unfortunately you can only install this by way of the Huawei App Gallery, since it has not yet been released by Google Play.

  1. First, please install Huawei Health Version 11.0.1.512 or higher via the Huawei App Gallery.
  2. Then close the YAZIO app completely and open it again.
  3. In Profile -> Automatic Tracking you should now see "Huawei".
  4. Connect YAZIO to Huawei and activate all authorizations.

If there are any discrepancies when establishing the connection, please contact our YAZIO support.

Was this article helpful?
103 out of 340 found this helpful

Did not find what you're looking for?

Submit a request